# Crime_management

The “Crime Management System” is a web based application for online complaining and computerized management of crime records

# Crime-Management-Website
The “Crime Management System” is a web based application for online complaining and computerized management of crime records

![pologo](https://user-images.githubusercontent.com/52278696/132978491-f0fca77c-cfd8-4c9e-8926-365d9fed6134.PNG)

POLIEX is website a person who wishes tofile a complaint or report an incident mustregister before log in and once the adminauthenticates the user he or she can login intothe website and file a complaint .Thiscomplaint will be received by police and policecan send a message regarding status of thecomplaint to the user who filed the complaint.Police can use this software to managedifferent crimes and some of the works whichis done in police station manually. Police getstheir login password from admin directly.Some of the modules like unidentified deadbodies, missing persons, and most wanted
criminals can be viewed through the websitewithout logging in. So this website helps policeto find out the problems in the society withoutthem actually coming to the police station


# Technologies used:
## For Front-end part:
## HTML CSS JavaScript jQuery
The HyperText Markup Language, or HTML is the standard markup language for documents designed to be displayed in a web browser. It can be assisted by technologies such as Cascading Style Sheets (CSS) and scripting languages such as JavaScript. Cascading Style Sheets (CSS) is a style sheet language used for describing the presentation of a document written in a markup language such as HTML. CSS is a cornerstone technology of the World Wide Web, alongside HTML and JavaScript. , is a programming language that conforms to the ECMAScript specification. JavaScript is high-level, often just-in-time compiled, and multi-paradigm. It has curly-bracket syntax, dynamic typing, prototype-based object-orientation, and first-class functions. TML and CSS, JavaScript is one of the core technologies of the World Wide Web. Over 97% of websites use it client-side for web page behavior, often incorporating third-party libraries. Most web browsers have a dedicated JavaScript engine to execute the code on the user's device

## Bootstrap
Bootstrap is an HTML, CSS & JS Library that focuses on simplifying the development of informative web pages (as opposed to web apps). The primary purpose of adding it to a web project is to apply Bootstrap's choices of color, size, font and layout to that project. As such, the primary factor is whether the developers in charge find those choices to their liking. Once added to a project, Bootstrap provides basic style definitions for all HTML elements. The result is a uniform appearance for prose, tables and form elements across web browsers. In addition, developers can take advantage of CSS classes defined in Bootstrap to further customize the appearance of their contents. For example, Bootstrap has provisioned for light- and dark-colored tables, page headings, more prominent pull quotes, and text with a highlight.

  https://getbootstrap.com/
  
## For back-end:
## Flask
Flask is a micro web framework written in Python. It is classified as a microframework because it does not require particular tools or libraries. It has no database abstraction layer, form validation, or any other components where pre-existing third-party libraries provide common functions. However, Flask supports extensions that can add application features as if they were implemented in Flask itself. Extensions exist for object-relational mappers, form validation, upload handling, various open authentication technologies and several common framework related tools.

     $ pip install -U Flask
## Flask_SQLAlchemy
Flask-SQLAlchemy is an extension for Flask that adds support for SQLAlchemy to your application. It aims to simplify using SQLAlchemy with Flask by providing useful defaults and extra helpers that make it easier to accomplish common tasks.

See the SQLAlchemy documentation to learn how to work with the ORM in depth. The following documentation is a brief overview of the most common tasks, as well as the features specific to Flask-SQLAlchemy.

    $ pip install -U Flask-SQLAlchemy.
## Flask_mail
One of the most basic functions in a web application is the ability to send emails to your users. The Flask-Mail extension provides a simple interface to set up SMTP with your Flask application and to send messages from your views and scripts.

     $ pip install Flask-Mail
     
# About 
Now-a-days everything is getting computerized
except for crime management. We can see public
who wish to complain go to the police station and
file a complaint. Police maintain these
complaints and FIRs and several other files
manually. This software addresses these
problems by letting public complain online and
computerized management of these complaints
along with maintaining records of FIR,
Unidentified Dead bodies, Post Mortem, Patrol,
Criminals, Most Wanted Criminals etc. for
police. This saves a lot of time of both police and
public. This software is mainly developed for
Mangalore citizens and it is a joint operation of
police stations of different regions of Mangalore
with the intention of making the city crime free. 


  # Screenshot 
  ![ScreenShot Tool -20210912131117](https://user-images.githubusercontent.com/52278696/132978859-ea844704-8095-44e3-8e65-c69a0c12d572.png)

  ![pol2](https://user-images.githubusercontent.com/52278696/132978866-3f4889a0-877f-477c-b7d6-c676995ee880.PNG)
  ![pol3](https://user-images.githubusercontent.com/52278696/132978868-1ceaf618-2a32-409d-a7a9-ce17bec29cd4.PNG)
